/**
Theme Name: Astra Child
Author: Odile Georgallides
Author URI: https://og-s.ch/
Description: 
Version: 1.0.0
Text Domain: astra-child
Template: astra
*/




.radius	img {border-radius:20px}



.ast-header-break-point .ast-mobile-menu-buttons-minimal.menu-toggle,
.menu-toggle {color: var(--ast-global-color-4) !important}
.ast-mobile-popup-content {
	position: absolute;
	top: 50%;
    left: 50%;
	width:100%;
	transform:translate(-50%, -50%);  
	vertical-align:middle;}


.site-header {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 9999;
}
  
header [data-wpml="language-item"]:first-of-type {
  margin-top: 0px !important;
}




body:not(.ast-normal-title-enabled) .site .site-content #primary,
body.home .site .site-content #primary {
  margin-top: 0px !important;
}

/*
body:not(.ast-normal-title-enabled):not(.home) .site .site-content #primary {
  margin-top: 0px !important;
}*/


/********************************************************************************************************/  
/****************                       ANIMATION BANNER                       **************************/ 
/********************************************************************************************************/ 


.funanim {
  position: relative !important; 
  width: 100%; 
  overflow: hidden;
}

.funanim::after {
	content: ''; 
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: radial-gradient(
		circle at center,
		rgba(138, 43, 226, 0.75),   /* bleu violet*/
		rgba(101, 37, 251, 0.85),    /* bleu */
		
		rgba(141, 8, 208, 0.7),     /*ROSEld*/
		rgba(164, 27, 176, 0.65)   /* pink */
	);
background-size: 400% 400%;
	animation: gradient 15s ease infinite;
	z-index: 0;  
}

@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}
.funanim .uagb-container-inner-blocks-wrap,
.funanim .wp-block-group {
	z-index: 1; 
}





/********************************************************************************************************/  
/****************                       FIN ANIMATION BANNER                   **************************/ 
/********************************************************************************************************/ 


.entry-content p:not(.uagb-ifb-desc, .uagb-desc-text, .uagb-timeline-desc-content, .has-text-align-center, .has-text-align-left, .has-text-align-right) {
    text-align: justify;
}



/*
h1:not(.has-text-align-center):not(.uagb-heading-text)  {
	position: relative;
	display: inline-block;
	padding-bottom: 16px; 
}
h1:not(.has-text-align-center):not(.uagb-heading-text)::after  {
	content: "";
	position: absolute;
	left: 0;
	bottom: 0;
	width: 60%;     
	height: 4px;    
	background-color: var(--ast-global-color-6);
}
*/



h2:not(.has-text-align-center):not(.uagb-heading-text)  {
	position: relative;
	display: inline-block;
	padding-bottom: 16px; 
}
h2:not(.has-text-align-center):not(.uagb-heading-text)::after  {
	content: "";
	position: absolute;
	left: 0;
	bottom: 0;
	width: 60%;     
	height: 4px;    
	background-color: var(--ast-global-color-6);
}

h3 sup {
	font-size: 60% ;
	padding-left:2px
}




#menu-toggle-close {
  position: absolute;
  top: 12px;
  right: 24px;
  width: 48px;
  height: 48px;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Icône X plus grande */
#menu-toggle-close svg {
  width: 28px;
  height: 28px;
}





@media (max-width: 480px) {
	.entry-content > .wp-block-cover {
		min-height:120px;
		padding-top:10px;
		padding-bottom:10px	}	
	.entry-content > .wp-block-cover h1 {margin-bottom:40px;}
	h3.has-large-font-size {font-size:28px !important}
}

@media (min-width: 480px) and (max-width: 768px) {
	.entry-content > .wp-block-cover {
		min-height:120px;
		padding-top:10px;
		padding-bottom:10px	}	
	.entry-content > .wp-block-cover h1 {margin-bottom:40px;}
	h3.has-large-font-size {font-size:28px !important}
}

@media (min-width: 768px) and (max-width: 992px) {
	.entry-content > .wp-block-cover {min-height:160px }	
	.entry-content > .wp-block-cover h1 {margin-bottom:60px}	
}

@media (min-width: 992px) and (max-width: 1024px) {
	.entry-content > .wp-block-cover {min-height:160px }	
	.entry-content > .wp-block-cover h1 {margin-bottom:60px}
}

@media (min-width: 1024px) and (max-width: 1280px) {
	.entry-content > .wp-block-cover {min-height:160px }	
	.entry-content > .wp-block-cover h1 {margin-bottom:60px}
}

@media (min-width: 1280px) {
	.entry-content > .wp-block-cover {min-height:160px }	
	.entry-content > .wp-block-cover h1 {margin-bottom:60px}
}

